package Catalyst::Helper::View::Wkhtmltopdf;

use strict;

=head1 NAME

Catalyst::Helper::View::Wkhtmltopdf - Helper for Wkhtmltopdf Views

=head1 SYNOPSIS

    script/create.pl view Wkhtmltopdf Wkhtmltopdf

=head1 DESCRIPTION

Helper for Wkhtmltopdf Views.

=head2 METHODS

=head3 mk_compclass

=cut

sub mk_compclass {
    my ( $self, $helper ) = @_;
    my $file = $helper->{file};
    $helper->render_file( 'compclass', $file );
}

=head1 SEE ALSO

L<Catalyst::Manual>, L<Catalyst::Test>, L<Catalyst::Request>,
L<Catalyst::Response>, L<Catalyst::Helper>

=head1 AUTHOR

Michele Beltrame, C<mb@cattlegrid.info>

=head1 LICENSE

This library is free software . You can redistribute it and/or modify
it under the same terms as perl itself.

=cut

1;

__DATA__

__compclass__
package [% class %];
use Moose;

extends 'Catalyst::View::Wkhtmltopdf';

=head1 NAME

[% class %] - Catalyst Wkhtmltopdf View

=head1 SYNOPSIS

See L<[% app %]>

=head1 DESCRIPTION

Catalyst Wkhtmltopdf View.

=head1 AUTHOR

[% author %]

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
